import { createRouter, createWebHashHistory } from 'vue-router'
import { globalRouter } from './base/index'
import type { App } from 'vue'


export const router = createRouter({
  history: createWebHashHistory(),
  routes: [
    ...globalRouter
  ],
})


export function setupRouter(app: App<Element>) {
  app.use(router)
}

